Bug 79038 - New port: misc/krecipes recipe manager for kde
Summary: New port: misc/krecipes recipe manager for kde
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-20 04:20 UTC by Henry Miller
Modified: 2005-06-10 19:53 UTC (History)
0 users

See Also:


Attachments
file.shar (11.41 KB, text/plain)
2005-03-20 04:20 UTC, Henry Miller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Miller 2005-03-20 04:20:02 UTC
New port krecipes.   

This could perhaps be placed in databases instead of misc, but that doesn't seem to fit.  Feel free to move it if you think that would be better.

sqlite3 is listed as a requirement.  However mysql or postgresql (beta) could be used instead.  The requirement is only that there be a database, it should use any the user installs.  I didn't investigate these, there might be some more requirements to make them work.   This is not optimal for users who already have a different database, but I think it is an acceptable compromise as I don't know how to place this dependency in a Makefile.
Comment 1 Michael Nottebrock 2005-04-11 19:20:33 UTC
If krecipes detects additional database-backends, it very probably installs 
additional libraries, which means that the pkg-plist will be incorrect for 
some users. You (or somebody) need to add the respective dependencies for the 
other possible database backends (possibly conditionally enabled through 
OPTIONS and PLIST_SUB for the possible plist-variants) before this port can 
be committed.

-- 
   ,_,   | Michael Nottebrock               | lofi@freebsd.org
 (/^ ^\) | FreeBSD - The Power to Serve     | http://www.freebsd.org
   \u/   | K Desktop Environment on FreeBSD | http://freebsd.kde.org
Comment 2 hank 2005-04-17 05:38:02 UTC
After further examination I have determined that no additional files
are install for the PostgreSQL or MySQL backends, but additional
files are install for the sqlite backend=2E   Adjusted the Makefile and
pkg-plist to make sqlite optional=2E

MySQL and PostgreSQL require other ports however=2E  These ports are
detected at runtime, not compile time=2E   Adjusted dependencies to
reflect this status=2E

# This is a shell archive=2E  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file"=2E  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions=2E
#
# This archive contains:
#
#=09krecipes/Makefile
#=09krecipes/distinfo
#=09krecipes/pkg-descr
#=09krecipes/pkg-plist
#
echo x - krecipes/Makefile
sed 's/^X//' >krecipes/Makefile << 'END-of-krecipes/Makefile'
X# ports collection makefile for: krecipies
X# Date created:                  19 March 2005
X# Whom:                          hank
X#
X# $FreeBSD$
X#
X
XPORTNAME=3D=09krecipes
XPORTVERSION=3D=090=2E7=2E1
XCATEGORIES=3D=09misc kde
XMASTER=5FSITES=3D=09${MASTER=5FSITE=5FSOURCEFORGE}
XMASTER=5FSITE=5FSUBDIR=3D=09${PORTNAME}
XDISTNAME=3D=09krecipes=5Fbeta=5F0=2E7=2E1
X
XMAINTAINER=3D=09hank@millerfarm=2Ecom
XCOMMENT=3D=09Recipe database for cooks
X
XUSE=5FKDELIBS=5FVER=3D=093
XGNU=5FCONFIGURE=3D=09yes
X
XWRKSRC=3D=09=09${WRKDIR}/krecipes-0=2E7=2E1
X
XINSTALLS=5FSHLIB=3D=09yes
X
X=2Eif defined(WITHOUT=5FSQLITE)
XCONFIGURE=5FARGS+=3D=09--without-sqlite
XPLIST=5FSUB+=3D=09=09SQLITE=3D"@comment "
X=2Eelse
XLIB=5FDEPENDS+=3D=09sqlite3:${PORTSDIR}/databases/sqlite3
XPLIST=5FSUB+=3D=09SQLITE=3D""
X=2Eendif
X
X=2Eif defined(WITH=5FMYSQL)
XLIB=5FDEPENDS+=3D=09${X11BASE}/lib/plugins/sqldrivers/libqsqlmysql=2Eso:$=
{POR
TSDIR}/databases/qt-mysql-plugin
X=2Eendif
X
X=2Eif defined(WITH=5FPOSTGRESQL)
XLIB=5FDEPENDS+=3D=09${X11BASE}/lib/plugins/sqldrivers/libqsqlpsql=2Eso:${=
PORT
SDIR}/databases/qt-pgsql-plugin
X=2Eendif
X
X=2Eif defined(WITHOUT=5FSQLITE) && !defined(WITH=5FMYSQL) &&
!defined(WITH=5FPOSTGRESQL)
X=2Eerror "You must have at least one database backend"
X=2Eendif
X
X=2Einclude <bsd=2Eport=2Emk>
END-of-krecipes/Makefile
echo x - krecipes/distinfo
sed 's/^X//' >krecipes/distinfo << 'END-of-krecipes/distinfo'
XMD5 (krecipes=5Fbeta=5F0=2E7=2E1=2Etar=2Egz) =3D 6cb93fd1e055b814e9eff784=
987d831b
XSIZE (krecipes=5Fbeta=5F0=2E7=2E1=2Etar=2Egz) =3D 5587596
END-of-krecipes/distinfo
echo x - krecipes/pkg-descr
sed 's/^X//' >krecipes/pkg-descr << 'END-of-krecipes/pkg-descr'
XPort of krecipes, a program that lets you to manage your recipes,
create=20
Xshopping lists, choose a recipe based on available ingredients and
plan=20
Xyour menu/diet in advance=2E
X
XWWW: http://krecipes=2Esourceforge=2Enet/
X
X- Hank
Xhank@millerfarm=2Ecom
END-of-krecipes/pkg-descr
echo x - krecipes/pkg-plist
sed 's/^X//' >krecipes/pkg-plist << 'END-of-krecipes/pkg-plist'
Xbin/krecipes
X%%SQLITE%%include/krecqsqlitedb=2Eh
X%%SQLITE%%include/krecqsqliteresult=2Eh
Xlib/libkrecipesexporters=2Ela
Xlib/libkrecipesexporters=2Eso
Xlib/libkrecipesexporters=2Eso=2E0
X%%SQLITE%%lib/libkrecqsqlite=2Ela
X%%SQLITE%%lib/libkrecqsqlite=2Eso
X%%SQLITE%%lib/libkrecqsqlite=2Eso=2E0
Xshare/applnk/Utilities/krecipes=2Edesktop
Xshare/apps/krecipes/data/abbrev=2Etxt
Xshare/apps/krecipes/data/data=2Esql
Xshare/apps/krecipes/data/samples-en=5FUS=2Ekreml
Xshare/apps/krecipes/icons/crystalsvg/16x16/actions/categories=2Epng
Xshare/apps/krecipes/icons/crystalsvg/16x16/actions/diet=2Epng
Xshare/apps/krecipes/icons/crystalsvg/16x16/actions/ingredients=2Epng
Xshare/apps/krecipes/icons/crystalsvg/16x16/actions/properties=2Epng
Xshare/apps/krecipes/icons/crystalsvg/16x16/actions/trolley=2Epng
Xshare/apps/krecipes/icons/crystalsvg/16x16/actions/units=2Epng
Xshare/apps/krecipes/icons/crystalsvg/22x22/actions/categories=2Epng
Xshare/apps/krecipes/icons/crystalsvg/22x22/actions/diet=2Epng
Xshare/apps/krecipes/icons/crystalsvg/22x22/actions/ingredients=2Epng
Xshare/apps/krecipes/icons/crystalsvg/22x22/actions/properties=2Epng
Xshare/apps/krecipes/icons/crystalsvg/22x22/actions/trolley=2Epng
Xshare/apps/krecipes/icons/crystalsvg/22x22/actions/units=2Epng
Xshare/apps/krecipes/icons/crystalsvg/32x32/actions/categories=2Epng
Xshare/apps/krecipes/icons/crystalsvg/32x32/actions/diet=2Epng
Xshare/apps/krecipes/icons/crystalsvg/32x32/actions/ingredients=2Epng
Xshare/apps/krecipes/icons/crystalsvg/32x32/actions/krectip=2Epng
Xshare/apps/krecipes/icons/crystalsvg/32x32/actions/properties=2Epng
Xshare/apps/krecipes/icons/crystalsvg/32x32/actions/trolley=2Epng
Xshare/apps/krecipes/icons/crystalsvg/32x32/actions/units=2Epng
Xshare/apps/krecipes/icons/crystalsvg/48x48/actions/categories=2Epng
Xshare/apps/krecipes/icons/crystalsvg/48x48/actions/diet=2Epng
Xshare/apps/krecipes/icons/crystalsvg/48x48/actions/ingredients=2Epng
Xshare/apps/krecipes/icons/crystalsvg/48x48/actions/properties=2Epng
Xshare/apps/krecipes/icons/crystalsvg/48x48/actions/trolley=2Epng
Xshare/apps/krecipes/icons/crystalsvg/48x48/actions/units=2Epng
Xshare/apps/krecipes/krecipesui=2Erc
Xshare/apps/krecipes/layouts/default=2Eklo
Xshare/apps/krecipes/layouts/one=5Fcolumn=2Eklo
Xshare/apps/krecipes/pics/dbpermissions=2Epng
Xshare/apps/krecipes/pics/menubg=2Epng
Xshare/apps/krecipes/pics/network=2Epng
Xshare/apps/krecipes/pics/recipes=2Epng
Xshare/apps/krecipes/pics/save=2Epng
Xshare/apps/krecipes/pics/startlogo=2Epng
Xshare/apps/krecipes/pics/wizard=2Epng
Xshare/doc/HTML/en/krecipes/adv-recipe-found=2Epng
Xshare/doc/HTML/en/krecipes/authors-adding=2Epng
Xshare/doc/HTML/en/krecipes/back=2Epng
Xshare/doc/HTML/en/krecipes/categories=2Epng
Xshare/doc/HTML/en/krecipes/clear=5Fleft=2Epng
Xshare/doc/HTML/en/krecipes/common
Xshare/doc/HTML/en/krecipes/computer3=2Epng
Xshare/doc/HTML/en/krecipes/configure-shortcuts-adv=2Epng
Xshare/doc/HTML/en/krecipes/configure-shortcuts-basic=2Epng
Xshare/doc/HTML/en/krecipes/configure-shortcuts=2Epng
Xshare/doc/HTML/en/krecipes/configure-toolbars=2Epng
Xshare/doc/HTML/en/krecipes/diet-help=2Epng
Xshare/doc/HTML/en/krecipes/down=2Epng
Xshare/doc/HTML/en/krecipes/enter-recipe-tabs=2Epng
Xshare/doc/HTML/en/krecipes/filenew=2Epng
Xshare/doc/HTML/en/krecipes/formatting=2Epng
Xshare/doc/HTML/en/krecipes/forward=2Epng
Xshare/doc/HTML/en/krecipes/import-other-sql=2Epng
Xshare/doc/HTML/en/krecipes/import-recipe-screen=2Epng
Xshare/doc/HTML/en/krecipes/import-settings=2Epng
Xshare/doc/HTML/en/krecipes/import-sqlite=2Epng
Xshare/doc/HTML/en/krecipes/index=2Ecache=2Ebz2
Xshare/doc/HTML/en/krecipes/index=2Edocbook
Xshare/doc/HTML/en/krecipes/ingredient-match=2Epng
Xshare/doc/HTML/en/krecipes/ingredients=2Epng
Xshare/doc/HTML/en/krecipes/krecipes-main=2Epng
Xshare/doc/HTML/en/krecipes/krectip=2Epng
Xshare/doc/HTML/en/krecipes/locationbar=5Ferase=2Epng
Xshare/doc/HTML/en/krecipes/menu=2Epng
Xshare/doc/HTML/en/krecipes/no=2Epng
Xshare/doc/HTML/en/krecipes/page-setup=2Epng
Xshare/doc/HTML/en/krecipes/prep-method=2Epng
Xshare/doc/HTML/en/krecipes/properties=2Epng
Xshare/doc/HTML/en/krecipes/recipe-description-tab=2Epng
Xshare/doc/HTML/en/krecipes/recipe-ingredients-tab=2Epng
Xshare/doc/HTML/en/krecipes/recipe-instructions-tab=2Epng
Xshare/doc/HTML/en/krecipes/server-settings=2Epng
Xshare/doc/HTML/en/krecipes/shop-list=2Epng
Xshare/doc/HTML/en/krecipes/unit-conversions=2Epng
Xshare/doc/HTML/en/krecipes/units=2Epng
Xshare/doc/HTML/en/krecipes/up=2Epng
Xshare/doc/HTML/pt/krecipes/common
Xshare/doc/HTML/pt/krecipes/index=2Ecache=2Ebz2
Xshare/doc/HTML/pt/krecipes/index=2Edocbook
Xshare/doc/HTML/sv/krecipes/adv-recipe-found=2Epng
Xshare/doc/HTML/sv/krecipes/authors-adding=2Epng
Xshare/doc/HTML/sv/krecipes/categories=2Epng
Xshare/doc/HTML/sv/krecipes/common
Xshare/doc/HTML/sv/krecipes/configure-shortcuts-adv=2Epng
Xshare/doc/HTML/sv/krecipes/configure-shortcuts-basic=2Epng
Xshare/doc/HTML/sv/krecipes/configure-shortcuts=2Epng
Xshare/doc/HTML/sv/krecipes/configure-toolbars=2Epng
Xshare/doc/HTML/sv/krecipes/diet-help=2Epng
Xshare/doc/HTML/sv/krecipes/enter-recipe-tabs=2Epng
Xshare/doc/HTML/sv/krecipes/formatting=2Epng
Xshare/doc/HTML/sv/krecipes/import-other-sql=2Epng
Xshare/doc/HTML/sv/krecipes/import-recipe-screen=2Epng
Xshare/doc/HTML/sv/krecipes/import-settings=2Epng
Xshare/doc/HTML/sv/krecipes/import-sqlite=2Epng
Xshare/doc/HTML/sv/krecipes/index=2Ecache=2Ebz2
Xshare/doc/HTML/sv/krecipes/index=2Edocbook
Xshare/doc/HTML/sv/krecipes/ingredient-match=2Epng
Xshare/doc/HTML/sv/krecipes/ingredients=2Epng
Xshare/doc/HTML/sv/krecipes/krecipes-main=2Epng
Xshare/doc/HTML/sv/krecipes/menu=2Epng
Xshare/doc/HTML/sv/krecipes/page-setup=2Epng
Xshare/doc/HTML/sv/krecipes/prep-method=2Epng
Xshare/doc/HTML/sv/krecipes/properties=2Epng
Xshare/doc/HTML/sv/krecipes/recipe-description-tab=2Epng
Xshare/doc/HTML/sv/krecipes/recipe-ingredients-tab=2Epng
Xshare/doc/HTML/sv/krecipes/recipe-instructions-tab=2Epng
Xshare/doc/HTML/sv/krecipes/server-settings=2Epng
Xshare/doc/HTML/sv/krecipes/shop-list=2Epng
Xshare/doc/HTML/sv/krecipes/unit-conversions=2Epng
Xshare/doc/HTML/sv/krecipes/units=2Epng
Xshare/icons/hicolor/128x128/apps/krecipes=2Epng
Xshare/icons/hicolor/16x16/apps/krecipes=2Epng
Xshare/icons/hicolor/22x22/apps/krecipes=2Epng
Xshare/icons/hicolor/32x32/apps/krecipes=2Epng
Xshare/icons/hicolor/48x48/apps/krecipes=2Epng
Xshare/icons/hicolor/64x64/apps/krecipes=2Epng
Xshare/locale/az/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/bg/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/br/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/ca/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/cy/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/da/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/de/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/en=5FGB/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/es/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/et/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/fi/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/fr/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/ga/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/is/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/it/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/lt/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/mt/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/nb/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/nl/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/pl/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/pt/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/pt=5FBR/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/ro/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/ru/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/sl/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/sr/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/sv/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/ta/LC=5FMESSAGES/krecipes=2Emo
Xshare/locale/tr/LC=5FMESSAGES/krecipes=2Emo
Xshare/nls/POSIX
Xshare/nls/en=5FUS=2EUS-ASCII
X@dirrm /share/locale/sr/LC=5FMESSAGES
X@dirrm /share/locale/sr
X@dirrm /share/locale/sl/LC=5FMESSAGES
X@dirrm /share/locale/sl
X@dirrm /share/locale/ro/LC=5FMESSAGES
X@dirrm /share/locale/ro
X@dirrm /share/locale/pt/LC=5FMESSAGES
X@dirrm /share/locale/pt
X@dirrm /share/locale/pl/LC=5FMESSAGES
X@dirrm /share/locale/pl
X@dirrm /share/locale/mt/LC=5FMESSAGES
X@dirrm /share/locale/mt
X@dirrm /share/locale/fi/LC=5FMESSAGES
X@dirrm /share/locale/fi
X@dirrm /share/locale/ca/LC=5FMESSAGES
X@dirrm /share/locale/ca
X@dirrm /share/icons/hicolor/64x64/apps
X@dirrm /share/icons/hicolor/64x64
X@dirrm /share/icons/hicolor/48x48/apps
X@dirrm /share/icons/hicolor/48x48
X@dirrm /share/icons/hicolor/32x32/apps
X@dirrm /share/icons/hicolor/32x32
X@dirrm /share/icons/hicolor/22x22/apps
X@dirrm /share/icons/hicolor/22x22
X@dirrm /share/icons/hicolor/16x16/apps
X@dirrm /share/icons/hicolor/16x16
X@dirrm /share/icons/hicolor/128x128/apps
X@dirrm /share/icons/hicolor/128x128
X@dirrm /share/icons/hicolor
X@dirrm /share/icons
X@dirrm /share/doc/HTML/sv/krecipes
X@dirrm /share/doc/HTML/sv
X@dirrm /share/doc/HTML/pt/krecipes
X@dirrm /share/doc/HTML/pt
X@dirrm /share/doc/HTML/en/krecipes
X@dirrm /share/doc/HTML/en
X@dirrm /share/doc/HTML
X@dirrm /share/apps/krecipes/pics
X@dirrm /share/apps/krecipes/layouts
X@dirrm /share/apps/krecipes/icons/crystalsvg/48x48/actions
X@dirrm /share/apps/krecipes/icons/crystalsvg/48x48
X@dirrm /share/apps/krecipes/icons/crystalsvg/32x32/actions
X@dirrm /share/apps/krecipes/icons/crystalsvg/32x32
X@dirrm /share/apps/krecipes/icons/crystalsvg/22x22/actions
X@dirrm /share/apps/krecipes/icons/crystalsvg/22x22
X@dirrm /share/apps/krecipes/icons/crystalsvg/16x16/actions
X@dirrm /share/apps/krecipes/icons/crystalsvg/16x16
X@dirrm /share/apps/krecipes/icons/crystalsvg
X@dirrm /share/apps/krecipes/icons
X@dirrm /share/apps/krecipes/data
X@dirrm /share/apps/krecipes
X@dirrm /share/apps
X@dirrm /share/applnk/Utilities
X@dirrm /share/applnk
END-of-krecipes/pkg-plist
exit
Comment 3 Michael Nottebrock 2005-04-17 15:19:02 UTC
In that case, the dependencies on mysql and postgresql should be RUN_DEPENDS, 
not LIB_DEPENDS - and you should consider to use OPTIONS to make the options 
more visible.

Also, your new shar is garbled with quoted-printable characters - if in doubt, 
send shell-archives and patches as proper email-attachments instead of 
pasting them into the mail directly.

-- 
   ,_,   | Michael Nottebrock               | lofi@freebsd.org
 (/^ ^\) | FreeBSD - The Power to Serve     | http://www.freebsd.org
   \u/   | K Desktop Environment on FreeBSD | http://freebsd.kde.org
Comment 4 hank 2005-04-17 20:57:50 UTC
Thanks for the feedback=2E  The attached shar should work and fix the
noted issues=2E
Comment 5 hank 2005-04-18 01:28:24 UTC
Sorry, my DNS isn't configured right (email fails to pass freebsd=2Eorg
spam filters), and this webmail isn't accepting attachments from
konqueror=2E   The following uuencoded should work=2E

begin 644 krecipes=2Etar=2Egz
M'XL(`%G^8D(``^V:Z7/B=2E!;`^VO\5VC3Z:GIVL5@KARUV>H<=3D$)-"%E,)C/[
MA9)M`2YLRRV+'-V5=5FWV>=2E((=3D;$O0UVZM7Q4!2[^GX^EX3W(FC-AN2*(WWU$J
ME<I^HX'$-\CK[=5FF#4:G6*HW:=3FK6^CRI&=3D;=5F2=3F(,:W[-12YE&'#-H"J=2E4YW$/
M8T*\G/S7G=3FL=3FD<EB=5F,N=2E&W$W&-+O4`=3F8HUFO9X^=5FT9R-O[%OU!OUN@'C7V]4
M*V]0Y3NT94W^S\>=5F<]Y`ORXGP<`B'`\J^KYNZ&`5=3F=3F3Y/3I&3=3DLZK`T=3D@U0:
M#>O`J)-#,ASN']0/#=5F:=3D@YIA:6;[/RU9(8W&P7[CL*G][/X6DI27]=3D=5F!$S)T
M/=3F(=3DZI"L=5FVJ]N=3DK=5F8>L7Z[]>K1=3FK=5FT=3F(6Q12QB-D4\\C-G=3DI@/S%3$!=
#RH[0
M=3F(*X)-+>HG/,";(9@2=5FG"*V)<8@ZF-EC5*U4&H#=3FC:F=3F@BUEC(=2E)]A:XO8^,
MD%/S=3F`^>M)MNKW]]TFD=3D[RRGYBSI]U;/;'>OCW=3DF&XMV=3DM)O771[[99YO=2E=2E[
MD8TF#M$Z)V:=5FU1N8[;Y(WOL2>QZ8W=3DO>6>MCMW=3F1>M82&;>GY^V>P)<U/VOG
M;=3F-5&V*;F@;J[>L^=3F%J@)CKQP7=3F!>&R(F:=5F;U-=3F=2ENIU=2EZ[I=5FO-=2E;*2,=
'<VSA
M:&90,#2=3D1)K6O>E#=3D\R=5F'R^,8=3F[["EJ#=3DLUI*`9DAD:=3F/!<,;F%[0@)G%]%@
M3:WS)R@FM3I/(FFE-!RN:=3DUTS=3FY%K[6F>D,C/F)D35^[-5N#W\Y;5^U3<=5F"[
MZ'9-N[B^'9QUKS^V+VY[8*@G&"=3FMKO>;V3L[W@%CPD\PZW-Y:<#2PG;M:[-=5F
M<G5E#LQ+*&VAI[N![4T=3D@OYI18XNFJ=2E'C=2EC^Y%\B;X@<F(\!<7Z]:=5F<ON[=3F]
MP=3DQ8[[67^@<GO0OHWDZI]=2E#R,9WRTMQVVLT5#*488\C<F:L=3D[WZ`0=3F))P-&N
MIA,O(AJT9'#>NFE=3DGXM"YJJUH=5FF,,&=3F=3D6`YA5%[D)DI>%BS*"QQWN-[JP6R@
MWFN]V^M837M=3F=5FC",TQ=2ES]5SV7*L<>M=2E1&\RJ<)A[3U@DDC=5F!H=5F\$=3F=5F2(9=
K3I
M$R=5F-B-*\A=2EQ6K`9^ZZ:$LI:$HY26P'"6;!H,W=3D&4D2--1RA[6-$OOZ"=5FI1AO
M/3W>G9T/>U]:9Y=3F=3D9[3[)YTB'=5F9UV&'N"<(<>03#$PUB2W$YOT&//+H<&:)-
M+V9;GXZP,F;S\6=3FOU]]:7OQ=5F=2E!F5'!+9[-O7(8O=5F:TUC&=3F\W#:,^B=5F^;1N'=5F=

M=3FX3<B+V=3F#M%R'OP#810R=2EF+81WP\6SL0'3S!BN(4(H,`CXAX8NB%G\<#2(O&
M-`S=3D8(0\=2E$F*]#&EL-#P@D1BV3FP"!&^QZZ'+0@P@&;$<6$KCA`=2E'!1Z=2E$#:
MK'C8GZ=3DP)B4<((2=3D>QS81`</<W=3DWA,:<AT=3FE%]<"N]&4V00<V(CH`>%E32NA
M2Q%<I#GGGVWP=5FS))K/]0#-VWKR-=5F=5F5>-9KTYC=5F]KS4J]7A'KOUF<=5FW^,6&[P
MLI"T=3D^=5FF+OC=3DNX4'G&5]FH<\CJ6/\PE&HJG'@1(1!'R6Y9)'X4,AAM`]G)T7
MT;P\O1*K=2E\8MJA8EY^9#Z9)\J"$:8T;*=2E`R]8%*^Y2[DP,%GM=3D&`=3FYQP&JZX
M5=3DXL!BICRV+D7N>//)L1=3FW2H-9N(L!]Z$#*38'!KZI#GI\,N1%11V69/,(6]
MZ'Y4-IJ/1K=2E,9\<XR(!M>409]$`/@]$V)8C]=3DUO=3DV-Z^;1'@AT+"^%=3DT@#-Q
MK'W:5GT:N)NTOEI]K%:=5FROS)$C8S=3FU)W*=5F,GB]C&=5F,D2-C9=5F4GU#\]>JC[6O
M,W^RA,W,G]3=3DROS)(@3'W7!;]6U&+UG"QJ=2E75-]P]=2EH'C=5F6#KQJ]9`F;C5Y2
M=3DZO12Q:QC=3FF3)6QL=5FJ1ZOOF7/Z:NSNQ4PL,0AW=2EP(QEBX=3D4G'LWEX'0]L*DW
M]8-,-'1M*,\"N=5FAN%(E69K9OAHHS@#7*9R#>=3FZ!LD@\M=5F7<N%=2E%[(B$@4N0>
M'=3D%\[,']C)D38QQJER=5F[G:LR6<5:93C3E=2E:=5F2T,Z#>3\E(\IBTK8<6!ZRFAQ
MO2%C4M=3D8=2END1S`8>&7(I27V=3F!A(BG$)05Y,7M;@N*L')DG$;)AET=5FGX;-3AZ
MNO86BNHJG%+/PDRJ(7:ETIAXH12D#X&,@=3FV)L=2E4DXMB2UBYN]0/R(,4H\S'G
M"M,,R`>%N>[Z(I`O43Z&]HK[0S5^T;/(9H1(C;'0B<BLX5)3+/%Y]"^#`X<\
MZC:VQT2W/E=3FE*&19E$[RP:6/*8&Q[;&\#6D^*15]N7/WL2NUVWJ8D8IY%+8+
MV+)AD@\(PY'49F+SEC$!E1$A'A$QIE-I`T-&PI)/8)=2E43L=3D4WYQ*+F;@[%[4
M#47=5FQ3I3U(J-V$9:$6=3F3N1-748L(NQ>K2G'>BUNZDKCFD8$B=3FA!7]N+N=5FY6K
MSN3E4=2EHPAESF0=2E*$9#&NHQF+,;K=3FS!DG>*DSCM/YCC9!IO8^22A[19E:IE>4
M**JKY'G%N$:N5XR#2AXOKI#ORN*DBH]*X:4^*D4G;ZVFX9D^*@'G+XMU5&%9
MJ/BH=3D%[:-ZF/BL-9OB3=2EY'N*!)GO*9)HGJ>(D^J>(D5+P5=2ED:LD]15Q-P5,D
M\#Q/$0=3D5/,5K/@[-#[)C^/(H*QO5@T=3FX)`]6V=3F3\ODZ)75PN*;&+JPPE=3DG'N
M5F*;]<=3DF/9,5098'9\K/Y:NS0:=3DEFB<7+7,%^C3)62-%CJEQ-E;DGM0X1[$\
MAZAQ)!A<G"JBD2+'U;BAJ\@IFGJD:!I7L1^N8C\\1<Y7Y`)+D=3F/4N%"54VQ=3F
MR`>G/364445NJL9%BEV)%*<,;*%*'%><6EQ6;^!%Y9NNV=3FXC]CQ=5F)75KED[,
MLW9;^^"XC/FHG-=2EA+"8CW5/0]=3D+3DP=2E8Q:2G)^=3D3%I=2E1KM#F,*/-OD*]=3FD:]
MR3TIBTE/3V[U6<RK]"Q7)L=3DRB97=5FE&=2EYQ,IIR[%<8A4IR+%<8A6>R+%\(A85
MJ8!Y3%K>J[2TN"T;R<J)'<6SD:R<V+5!-I*1\RIY=5F8X^%UB\T<AE\E^^;*&Z
MF4KB3=3DL6JINI)-[*;J&ZF4KB%=3FP6JANIR=2E%<0OR[1AZ0DK>>E/AGD]3LXI=5F6
H"BFDD$(**:200@HII)!""BFDD$(**:200@HII)`-Y"]JMF3$`%``````
`
end
Comment 6 Michael Nottebrock 2005-04-18 19:43:10 UTC
Sorry, the uuencoded file is again garbled with quoted-printable characters 
and cannot be decoded.

-- 
   ,_,   | Michael Nottebrock               | lofi@freebsd.org
 (/^ ^\) | FreeBSD - The Power to Serve     | http://www.freebsd.org
   \u/   | K Desktop Environment on FreeBSD | http://freebsd.kde.org
Comment 7 hank 2005-04-19 04:00:11 UTC
I can't think of any more options=2E   DNS misconfiguration (I'm
working on it, but the current problem is out of my control) prevents
me from sending email directly to freebsd=2Eorg=2E  My attempts at
attachments have failed=2E

Is there are email that isn't @freebsd=2Eorg that I can send this to=3F

either
hank@millerfarm=2Ecom
hank@black-hole=2Ecom
should work to reach me=2E =20
Comment 8 Tilman Keskinoz freebsd_committer 2005-05-09 16:36:09 UTC
State Changed
From-To: open->feedback

Can you try to upload it to a webpage? 

Or try sending it to arved@arved.at. 


Comment 9 Tilman Keskinoz freebsd_committer 2005-05-09 16:36:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

track followups
Comment 10 Tilman Keskinoz freebsd_committer 2005-06-10 19:51:38 UTC
State Changed
From-To: feedback->closed

Committed, thanks. 
Please remember to run portlint (and fix the easy warnings) for your next  
submission. 
Please also note, that the port does not compile on 4.x, because of the  
ancient C++ Compiler. Maybe you can fix this.